//package com.winhc.returnmoney.controller;
//
//import com.winhc.common.base.BeanResponse;
//import com.winhc.common.enums.CodeMsg;
//import com.winhc.returnmoney.model.dto.RefreshGradeDTO;
//import com.winhc.returnmoney.model.dto.UpdateAccountBookDTO;
//import com.winhc.returnmoney.model.vo.AccountBookDetailVO;
//import com.winhc.returnmoney.model.vo.AccountBookVO;
//import com.winhc.returnmoney.service.AccountBookService;
//import com.winhc.returnmoney.util.RequesterUtil;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.List;
//
//
///**
// * @description AccountBook Controller
// * @author Generator
// * @date 2020-12-15
// */
//@Slf4j
//@Api(tags = "账本")
//@RestController
//@RequestMapping("/accountBook")
//public class AccountBookController {
//
//    @Autowired
//    private AccountBookService accountBookService;
//
//    @ApiOperation(value = "获取账本列表")
//    @RequestMapping( method = RequestMethod.GET)
//    public BeanResponse<List<AccountBookVO>> getAccountBookList() {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBookService.getAccountBookList(RequesterUtil.getCurrentUserId()));
//    }
//
//    @ApiOperation(value = "查看单个账本")
//    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
//    public BeanResponse<AccountBookDetailVO> getAccountBookById(@PathVariable("id") Long id) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBookService.getAccountBookById(id, RequesterUtil.getCurrentUserId()));
//    }
//
//    @ApiOperation("设置账本name")
//    @RequestMapping(value = "/{id}", method = RequestMethod.PUT)
//    public BeanResponse<Boolean> updateAccountBookNameById(@PathVariable("id")Long id, @RequestBody UpdateAccountBookDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBookService.updateAccountBookNameById(dto.setUserId(RequesterUtil.getCurrentUserId()).setAccountBookId(id)));
//    }
//
//    @ApiOperation("刷新账本下所有账款评级")
//    @PostMapping("/refresh")
//    @Deprecated
//    public BeanResponse<Boolean> refreshGrade(@RequestBody RefreshGradeDTO refreshGradeDTO) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBookService.refreshGrade(refreshGradeDTO,RequesterUtil.getCurrentUserId()));
//    }
//
//    @ApiOperation("删除账本")
//    @RequestMapping(value = "/{accountBookId}", method = RequestMethod.DELETE)
//    public BeanResponse<Boolean> deleteAccountBook(@PathVariable("accountBookId") Long accountBookId) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBookService.deleteAccountBook(accountBookId, RequesterUtil.getCurrentUserId()));
//    }
//
//}
