//package com.winhc.returnmoney.controller;
//
//import com.winhc.common.base.BeanResponse;
//import com.winhc.common.enums.CodeMsg;
//import com.winhc.common.util.ResultUtil;
//import com.winhc.returnmoney.common.BaseController;
//import com.winhc.returnmoney.model.vo.AccountRemindCountVO;
//import com.winhc.returnmoney.model.vo.AccountRemindHistoryCountVO;
//import com.winhc.returnmoney.service.MessageService;
//import com.winhc.returnmoney.util.RequesterUtil;
//import com.winhc.returnmoney.model.dto.AccountRemindHistoryDTO;
//import com.winhc.returnmoney.service.AccountRemindHistoryService;
//import org.springframework.web.bind.annotation.RequestMapping;
//import com.winhc.returnmoney.model.vo.AccountRemindHistoryVO;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.List;
//import lombok.extern.slf4j.Slf4j;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.web.bind.annotation.RestController;
//import springfox.documentation.annotations.ApiIgnore;
//
//
///**
// * @description AccountRemindHistory Controller
// * @author Generator
// * @date 2020-12-14
// */
//@Slf4j
//@Api(tags = "智能提醒API")
//@RestController
//@RequestMapping("accountRemind")
//public class AccountRemindHistoryController extends BaseController {
//    @Autowired
//    private AccountRemindHistoryService accountRemindHistoryService;
//
//    @Autowired
//    private MessageService messageService;
//
//
//    @GetMapping("/{id}")
//    @ApiOperation(value = "根据id查询智能提醒详情")
//    public BeanResponse<AccountRemindHistoryVO> find(@PathVariable Long id) {
//        return BeanResponse.resultData2BeanResponse(ResultUtil.response(CodeMsg.SUCCESS,accountRemindHistoryService.find(id, getAppVersion(), getAppPackageName(), getUser())));
//    }
//
//
//    @GetMapping("/page")
//    @ApiOperation(value = "根据条件查询智能提醒")
//    public BeanResponse<List<AccountRemindHistoryVO>> page(AccountRemindHistoryDTO dto,
//                                                           @RequestParam(required = false,defaultValue = "1") Integer pageNum,
//                                                           @RequestParam(required = false,defaultValue = "10") Integer pageSize) {
//        dto.setUserId(RequesterUtil.getCurrentUserId());
//        return BeanResponse.resultPageData2BeanResponse(ResultUtil.response(CodeMsg.SUCCESS,accountRemindHistoryService.find(dto, pageNum, pageSize, getAppVersion(), getAppPackageName(), getUser())));
//    }
//
//
//    @GetMapping("/unread")
//    @ApiOperation(value = "查询未读智能提醒数量")
//    public BeanResponse<Integer> unReadNumber(){
//        return BeanResponse.success(CodeMsg.SUCCESS,accountRemindHistoryService.unRead(RequesterUtil.getCurrentUserId()));
//    }
//
//    @GetMapping("/count/withunread")
//    @ApiOperation(value = "新版数量")
//    public BeanResponse<AccountRemindCountVO> queryRemindCount(AccountRemindHistoryDTO dto){
//        return BeanResponse.success(CodeMsg.SUCCESS,accountRemindHistoryService.queryRemidCount(dto,RequesterUtil.getCurrentUser()));
//    }
//
//    @GetMapping("/count")
//    @ApiOperation(value = "筛选条件数量")
//    public BeanResponse<List<AccountRemindHistoryCountVO>> queryCount(AccountRemindHistoryDTO accountRemindHistoryDTO){
//        accountRemindHistoryDTO.setUserId(RequesterUtil.getCurrentUserId());
//        return BeanResponse.success(CodeMsg.SUCCESS,accountRemindHistoryService.queryCount(accountRemindHistoryDTO));
//    }
//
////    @Autowired
////    AccountBillDiagnosisService accountBillDiagnosisService;
////
////    @GetMapping("/test")
////    @ApiOperation(value = "后端测试用刷新评分")
////    @ApiIgnore
////    public BeanResponse<Void> test(@RequestParam String company,@RequestParam Long accountBillid,@RequestParam BigDecimal amt){
////        List<String> companys = new ArrayList<>();
////        companys.add(company);
////        accountBillDiagnosisService.addAccountBillDiagnosis(RequesterUtil.getCurrentUserId(),accountBillid,amt,companys);
////        return BeanResponse.success(CodeMsg.SUCCESS);
////    }
//
//    @PostMapping("/update/functionlist")
//    @ApiOperation(value = "更新functionlist")
//    @ApiIgnore
//    public BeanResponse<Boolean> updateFunctionList(){
//        accountRemindHistoryService.updateFunctionList();
//        return BeanResponse.success(CodeMsg.SUCCESS);
//    }
//
//    @PostMapping("/update/newRemindContent")
//    @ApiOperation(value = "更新newRemindContent")
//    @ApiIgnore
//    public BeanResponse<Boolean> updateNewRemindContent(){
//        accountRemindHistoryService.updateNewRemindContent();
//        return BeanResponse.success(CodeMsg.SUCCESS);
//    }
//
//    @PostMapping("/update/message")
//    @ApiOperation(value = "更新message")
//    @ApiIgnore
//    public BeanResponse<Boolean> updateMessage(){
//        messageService.updateMessage();
//        return BeanResponse.success(CodeMsg.SUCCESS);
//    }
//
//}
