package com.winhc.returnmoney.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description AccountBillDiagnosis实体对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ACCOUNT_BILL_DIAGNOSIS")
@ApiModel(value="AccountBillDiagnosis实体对象", description="账款评估记录表")
@Accessors(chain = true)
public class AccountBillDiagnosis implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "账款id")
    @TableField("ACCOUNT_BILL_ID")
    private Long accountBillId;

    @ApiModelProperty(value = "评估等级")
    @TableField("DIAGNOSIS_GRADE")
    private String diagnosisGrade;

    @ApiModelProperty(value = "评估分值")
    @TableField("DIAGNOSIS_SCORE")
    private BigDecimal diagnosisScore;

    @ApiModelProperty(value = "评估时间")
    @TableField("DIAGNOSIS_DATETIME")
    private LocalDateTime diagnosisDatetime;

    @ApiModelProperty(value = "评估状态：0诊断中；1诊断完成；9诊断失败")
    @TableField("DIAGNOSIS_STATUS")
    private Integer diagnosisStatus;

    @ApiModelProperty(value = "评估详情")
    @TableField("DIAGNOSIS_DETAIL")
    private String diagnosisDetail;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "履债评估结果id")
    @TableField("BIZ_ID")
    private Long bizId;
}
