package com.winhc.returnmoney.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description Message实体对象
 * @author Generator
 * @date 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("MESSAGE")
@ApiModel(value="Message实体对象", description="")
public class Message implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "MESSAGE_ID", type = IdType.AUTO)
    private Long messageId;

    @TableField("CASE_ID")
    private String caseId;

    @ApiModelProperty(value = "1风控阶段；2诉讼阶段；3执行阶段；4结算阶段")
    @TableField("BIZ_STAGE")
    private Integer bizStage;

    @ApiModelProperty(value = "消息分类：服务提醒（0），小赢管家（1），案件助手（2），动态监测（4），工作台提醒（5）")
    @TableField("MESSAGE_KIND")
    private String messageKind;

    @TableField("SUBJECT")
    private String subject;

    @TableField("CONTENT")
    private String content;

    @TableField("USER_ACCOUNT")
    private String userAccount;

    @TableField("WARN_AREA")
    private String warnArea;

    @TableField("ACTION")
    private String action;

    @TableField("MESSAGE_TIME")
    private String messageTime;

    @ApiModelProperty(value = "0已推送；1未推送")
    @TableField("PUSH_STATUS")
    private String pushStatus;

    @ApiModelProperty(value = "0已读；1未读")
    @TableField("READ_STATUS")
    private String readStatus;

    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "0通知；1消息")
    @TableField("MESSAGE_TYPE")
    private String messageType;


}
