package com.winhc.returnmoney.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description AccountRemindSetting实体对象
 * @author Generator
 * @date 2021-08-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ACCOUNT_REMIND_SETTING")
@ApiModel(value="AccountRemindSetting实体对象", description="提醒设置表")
public class AccountRemindSetting implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "用户id")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "账款逾期是否需要提醒 0不需要  1需要")
    @TableField("OVERDUE")
    private Integer overdue;

    @ApiModelProperty(value = "评级变更是否需要提醒 0不需要  1需要")
    @TableField("RANK")
    private Integer rank;

    @ApiModelProperty(value = "财产线索是否需要提醒 0不需要  1需要")
    @TableField("FINANCE")
    private Integer finance;

    @ApiModelProperty(value = "风险动态是否需要提醒 0不需要  1需要")
    @TableField("RISK")
    private Integer risk;


}
