package com.winhc.returnmoney.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Description: BetaTestApply
 * @Author: xda
 * @Date: 2020/11/26  19:19
 */
@Data
@TableName("BETA_TEST_APPLY")
public class BetaTestApply {

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @TableField("PRODUCT_CODE")
    private String productCode;

    @TableField("APPLY_USER_ID")
    private Long applyUserId;

    @TableField("APPLY_USER_MOBILE_NO")
    private String applyUserMobileNo;

    @TableField("APPLY_TIME")
    private LocalDateTime applyTime;

    @TableField("STATUS")
    private String status;

}
